summaryrefslogtreecommitdiff
path: root/dev-python/networkx
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/networkx')
-rw-r--r--dev-python/networkx/Manifest2
-rw-r--r--dev-python/networkx/metadata.xml21
-rw-r--r--dev-python/networkx/networkx-3.6.1.ebuild60
3 files changed, 83 insertions, 0 deletions
diff --git a/dev-python/networkx/Manifest b/dev-python/networkx/Manifest
new file mode 100644
index 000000000000..20d7905c2b2e
--- /dev/null
+++ b/dev-python/networkx/Manifest
@@ -0,0 +1,2 @@
+DIST networkx-3.6.1.tar.gz 2517025 BLAKE2B 4419ae5377fa6d4c4e058e96f481207c6091edc4b2e15c5f1c96d15e1a298b54c99a3f2fc5788469269db703db75b7bcff72fdddc08835a875170fa151b7a574 SHA512 d3ccbdf15b93facf71c8f0f508b85204f77273af1180e885a2bde79631237f7f08a4521a88a52b599b179df94e2b58916cc2ee21be20d893a8d6a0f86d9a3a30
+DIST networkx-3.6.1.tar.gz.provenance 9627 BLAKE2B 0a983dd076324896c372504a666dc491cdc0f84280d1d0cd7e26f46d0cd9526310caf1397e40ce547643d1e3df39a3a5144d8de45c44f4e350ad6146119fbfeb SHA512 b0be00d2310d8df60bdaa9554026a8aeb8930f90095bae8c3f5536fe7badee0002370c8ac03aea4f1e53381ab20d9faece5e74744373966cd472a5d6e64d5da8
diff --git a/dev-python/networkx/metadata.xml b/dev-python/networkx/metadata.xml
new file mode 100644
index 000000000000..5810ef974c54
--- /dev/null
+++ b/dev-python/networkx/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ NetworkX is a Python-based package for the creation, manipulation, and
+ study of the structure, dynamics, and functions of complex networks.
+ The structure of a graph or network is encoded in the edges (connections,
+ links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
+ unqualified, by graph we mean a simple undirected graph, i.e. no
+ self-loops and no multiple edges are allowed. By a network we usually
+ mean a graph with weights (fields, properties) on nodes and/or edges.
+ The potential audience for NetworkX includes: mathematicians, physicists,
+ biologists, computer scientists, social scientists.
+ </longdescription>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/networkx/networkx-3.6.1.ebuild b/dev-python/networkx/networkx-3.6.1.ebuild
new file mode 100644
index 000000000000..94375e18316a
--- /dev/null
+++ b/dev-python/networkx/networkx-3.6.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/networkx/networkx
+PYTHON_FULLY_TESTED=( python3_{12..14} )
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 optfeature pypi virtualx
+
+DESCRIPTION="Python tools to manipulate graphs and complex networks"
+HOMEPAGE="
+ https://networkx.org/
+ https://github.com/networkx/networkx/
+ https://pypi.org/project/networkx/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc64 ~riscv ~sparc x86 ~x64-macos"
+
+BDEPEND="
+ test? (
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/matplotlib-3.8[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.25[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.11.2[${PYTHON_USEDEP}]
+ ' "${PYTHON_FULLY_TESTED[@]}")
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # virtx implies nonfatal
+ nonfatal epytest || die
+}
+
+src_install() {
+ distutils-r1_src_install
+ # those examples use various assets and pre-compressed files
+ docompress -x /usr/share/doc/${PF}/examples
+}
+
+pkg_postinst() {
+ optfeature "recommended dependencies" "dev-python/matplotlib dev-python/numpy dev-python/pandas dev-python/scipy"
+ optfeature "graph drawing and graph layout algorithms" "dev-python/pygraphviz dev-python/pydot"
+ optfeature "YAML format reading and writing" "dev-python/pyyaml"
+ optfeature "shapefile format reading and writing" "sci-libs/gdal[python]"
+ optfeature "GraphML XML format" "dev-python/lxml"
+}